package com.app.christmas.enjoychristmas;

import android.media.MediaPlayer;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.SurfaceView;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.ViewSwitcher;

import gif.decoder.GifRun;



public class MainActivity extends ActionBarActivity  {
    ImageView image1,image2,image3,image4,image5,image6,image7,image8,image9;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final MediaPlayer mp1=MediaPlayer.create(getApplicationContext(), R.raw.bells1);
        final MediaPlayer mp2=MediaPlayer.create(getApplicationContext(), R.raw.bells2);
        final MediaPlayer mp3=MediaPlayer.create(getApplicationContext(), R.raw.bells3);
        final MediaPlayer mp4=MediaPlayer.create(getApplicationContext(), R.raw.bells4);
        final MediaPlayer mp6=MediaPlayer.create(getApplicationContext(), R.raw.bells5);
        final MediaPlayer mp7=MediaPlayer.create(getApplicationContext(), R.raw.bells6);

        final ImageView mrs = (ImageView) findViewById(R.id.imageView10);
        final Animation mrsAnimation = AnimationUtils.loadAnimation(this, R.anim.rotatemrs);	//Animation mrs
        mrs.startAnimation(mrsAnimation);
        final ImageView mr = (ImageView) findViewById(R.id.imageView11);
        final Animation mrAnimation = AnimationUtils.loadAnimation(this, R.anim.rotatemr);		//Animation mr
        mr.startAnimation(mrAnimation);

        final ImageView roata = (ImageView) findViewById(R.id.imageView13);					  //ImageView roata
        final Animation roataAnimation = AnimationUtils.loadAnimation(this, R.anim.rotate);		//Animation roata
        roata.startAnimation(roataAnimation);

        final MediaPlayer mpmr=MediaPlayer.create(getApplicationContext(), R.raw.kiss);
        final MediaPlayer mpmrs=MediaPlayer.create(getApplicationContext(), R.raw.iloveyou);
        final MediaPlayer mproata=MediaPlayer.create(getApplicationContext(), R.raw.santa);

        View.OnClickListener elem = new View.OnClickListener() {

            @Override
            public void onClick(View v) {

                switch (v.getId()) {
                    case R.id.imageView11:
                        mpmr.start();
                        //mrAnimation.start();
                        break;
                    case R.id.imageView10:
                        mpmrs.start();
                        //mrsAnimation.start();
                        break;
                    case R.id.imageView13:
                        mproata.start();
                        //roataAnimation.start();
                        break;
                }
            }
        };
        mr.setOnClickListener(elem);
        mrs.setOnClickListener(elem);
        roata.setOnClickListener(elem);

        final ImageView stea = (ImageView) findViewById(R.id.imageView12);				  		//ImageView text
        final Animation magicAnimation = AnimationUtils.loadAnimation(this, R.anim.star);	//Animation text
        stea.startAnimation(magicAnimation);

        image1 = (ImageView)findViewById(R.id.imageView);
        image1.setOnTouchListener(new View.OnTouchListener() {

            @Override
            public boolean onTouch(View v, MotionEvent event) {

                mp1.start();

                int eid = event.getAction();
                switch (eid) {
                    case MotionEvent.ACTION_MOVE:

                        RelativeLayout.LayoutParams mParams = (RelativeLayout.LayoutParams) image1.getLayoutParams();
                        int x = (int) event.getRawX();
                        int y = (int) event.getRawY();
                        mParams.leftMargin = x-30;
                        mParams.topMargin = y-100;
                        image1.setLayoutParams(mParams);
                        break;
                    default:
                        break;
                }
                return true;
            }
        });
        //end moving image with touch events--------------------------------------------------------------------------------

        //moving image with touch events------------------------------------------------------------------------------------
        image2 = (ImageView)findViewById(R.id.imageView2);
        image2.setOnTouchListener(new View.OnTouchListener() {

            @Override
            public boolean onTouch(View v, MotionEvent event) {

                mp2.start();

                int eid = event.getAction();
                switch (eid) {
                    case MotionEvent.ACTION_MOVE:

                        RelativeLayout.LayoutParams mParams = (RelativeLayout.LayoutParams) image2.getLayoutParams();
                        int x = (int) event.getRawX();
                        int y = (int) event.getRawY();
                        mParams.leftMargin = x-30;
                        mParams.topMargin = y-100;
                        image2.setLayoutParams(mParams);
                        break;
                    default:
                        break;
                }
                return true;
            }
        });
        //end moving image with touch events--------------------------------------------------------------------------------

        //moving image with touch events------------------------------------------------------------------------------------
        image3 = (ImageView)findViewById(R.id.imageView3);
        image3.setOnTouchListener(new View.OnTouchListener() {

            @Override
            public boolean onTouch(View v, MotionEvent event) {

                mp3.start();

                int eid = event.getAction();
                switch (eid) {
                    case MotionEvent.ACTION_MOVE:

                        RelativeLayout.LayoutParams mParams = (RelativeLayout.LayoutParams) image3.getLayoutParams();
                        int x = (int) event.getRawX();
                        int y = (int) event.getRawY();
                        mParams.leftMargin = x-25;
                        mParams.topMargin = y-100;
                        image3.setLayoutParams(mParams);
                        break;
                    default:
                        break;
                }
                return true;
            }
        });
        //end moving image with touch events--------------------------------------------------------------------------------

        //moving image with touch events------------------------------------------------------------------------------------
        image4 = (ImageView)findViewById(R.id.imageView4);
        image4.setOnTouchListener(new View.OnTouchListener() {

            @Override
            public boolean onTouch(View v, MotionEvent event) {

                mp4.start();

                int eid = event.getAction();
                switch (eid) {
                    case MotionEvent.ACTION_MOVE:

                        RelativeLayout.LayoutParams mParams = (RelativeLayout.LayoutParams) image4.getLayoutParams();
                        int x = (int) event.getRawX();
                        int y = (int) event.getRawY();
                        mParams.leftMargin = x-25;
                        mParams.topMargin = y-100;
                        image4.setLayoutParams(mParams);
                        break;
                    default:
                        break;
                }
                return true;
            }
        });
        //end moving image with touch events--------------------------------------------------------------------------------

        //moving image with touch events------------------------------------------------------------------------------------
        image5 = (ImageView)findViewById(R.id.imageView5);
        image5.setOnTouchListener(new View.OnTouchListener() {

            @Override
            public boolean onTouch(View v, MotionEvent event) {

                mp1.start();

                int eid = event.getAction();
                switch (eid) {
                    case MotionEvent.ACTION_MOVE:

                        RelativeLayout.LayoutParams mParams = (RelativeLayout.LayoutParams) image5.getLayoutParams();
                        int x = (int) event.getRawX();
                        int y = (int) event.getRawY();
                        mParams.leftMargin = x-25;
                        mParams.topMargin = y-100;
                        image5.setLayoutParams(mParams);
                        break;
                    default:
                        break;
                }
                return true;
            }
        });
        //end moving image with touch events--------------------------------------------------------------------------------

        //moving image with touch events------------------------------------------------------------------------------------
        image6 = (ImageView)findViewById(R.id.imageView6);
        image6.setOnTouchListener(new View.OnTouchListener() {

            @Override
            public boolean onTouch(View v, MotionEvent event) {

                mp6.start();

                int eid = event.getAction();
                switch (eid) {
                    case MotionEvent.ACTION_MOVE:

                        RelativeLayout.LayoutParams mParams = (RelativeLayout.LayoutParams) image6.getLayoutParams();
                        int x = (int) event.getRawX();
                        int y = (int) event.getRawY();
                        mParams.leftMargin = x-25;
                        mParams.topMargin = y-100;
                        image6.setLayoutParams(mParams);
                        break;
                    default:
                        break;
                }
                return true;
            }
        });
        //end moving image with touch events--------------------------------------------------------------------------------

        //moving image with touch events------------------------------------------------------------------------------------
        image7 = (ImageView)findViewById(R.id.imageView7);
        image7.setOnTouchListener(new View.OnTouchListener() {

            @Override
            public boolean onTouch(View v, MotionEvent event) {

                mp7.start();

                int eid = event.getAction();
                switch (eid) {
                    case MotionEvent.ACTION_MOVE:

                        RelativeLayout.LayoutParams mParams = (RelativeLayout.LayoutParams) image7.getLayoutParams();
                        int x = (int) event.getRawX();
                        int y = (int) event.getRawY();
                        mParams.leftMargin = x-25;
                        mParams.topMargin = y-100;
                        image7.setLayoutParams(mParams);
                        break;
                    default:
                        break;
                }
                return true;
            }
        });
        //end moving image with touch events--------------------------------------------------------------------------------

        //moving image with touch events------------------------------------------------------------------------------------
        image8 = (ImageView)findViewById(R.id.imageView8);
        image8.setOnTouchListener(new View.OnTouchListener() {

            @Override
            public boolean onTouch(View v, MotionEvent event) {

                mp3.start();

                int eid = event.getAction();
                switch (eid) {
                    case MotionEvent.ACTION_MOVE:

                        RelativeLayout.LayoutParams mParams = (RelativeLayout.LayoutParams) image8.getLayoutParams();
                        int x = (int) event.getRawX();
                        int y = (int) event.getRawY();
                        mParams.leftMargin = x-25;
                        mParams.topMargin = y-100;
                        image8.setLayoutParams(mParams);
                        break;
                    default:
                        break;
                }
                return true;
            }
        });
        //end moving image with touch events--------------------------------------------------------------------------------

        //moving image with touch events------------------------------------------------------------------------------------
        image9 = (ImageView)findViewById(R.id.imageView9);
        image9.setOnTouchListener(new View.OnTouchListener() {

            @Override
            public boolean onTouch(View v, MotionEvent event) {

                mp1.start();

                int eid = event.getAction();
                switch (eid) {
                    case MotionEvent.ACTION_MOVE:

                        RelativeLayout.LayoutParams mParams = (RelativeLayout.LayoutParams) image9.getLayoutParams();
                        int x = (int) event.getRawX();
                        int y = (int) event.getRawY();
                        mParams.leftMargin = x-25;
                        mParams.topMargin = y-100;
                        image9.setLayoutParams(mParams);
                        break;
                    default:
                        break;
                }
                return true;
            }
        });
        //end moving image with touch events--------------------------------------------------------------------------------


        // Let the ViewSwitcher do the animation listening for you
        ((ViewSwitcher) findViewById(R.id.switcher1)).setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View v) {
                ViewSwitcher switcher = (ViewSwitcher) v;

                if (switcher.getDisplayedChild() == 0) {
                    switcher.showNext();
                } else {
                    switcher.showPrevious();
                }
            }
        });

        // Let the ViewSwitcher do the animation listening for you
        ((ViewSwitcher) findViewById(R.id.switcher2)).setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View v) {
                ViewSwitcher switcher = (ViewSwitcher) v;

                if (switcher.getDisplayedChild() == 0) {
                    switcher.showNext();
                } else {
                    switcher.showPrevious();
                }
            }
        });

        // Let the ViewSwitcher do the animation listening for you
        ((ViewSwitcher) findViewById(R.id.switcher3)).setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View v) {
                ViewSwitcher switcher = (ViewSwitcher) v;

                if (switcher.getDisplayedChild() == 0) {
                    switcher.showNext();
                } else {
                    switcher.showPrevious();
                }
            }
        });

        // Let the ViewSwitcher do the animation listening for you
        ((ViewSwitcher) findViewById(R.id.switcher4)).setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View v) {
                ViewSwitcher switcher = (ViewSwitcher) v;

                if (switcher.getDisplayedChild() == 0) {
                    switcher.showNext();
                } else {
                    switcher.showPrevious();
                }
            }
        });

        // Let the ViewSwitcher do the animation listening for you
        ((ViewSwitcher) findViewById(R.id.switcher5)).setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View v) {
                ViewSwitcher switcher = (ViewSwitcher) v;

                if (switcher.getDisplayedChild() == 0) {
                    switcher.showNext();
                } else {
                    switcher.showPrevious();
                }
            }
        });

        // Let the ViewSwitcher do the animation listening for you
        ((ViewSwitcher) findViewById(R.id.switcher6)).setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View v) {
                ViewSwitcher switcher = (ViewSwitcher) v;

                if (switcher.getDisplayedChild() == 0) {
                    switcher.showNext();
                } else {
                    switcher.showPrevious();
                }
            }
        });

        //gif animat
        SurfaceView v = (SurfaceView) findViewById(R.id.surfaceView);
        GifRun w = new GifRun();
        w.LoadGiff(v, this, R.drawable.santa);
        //v.setBackgroundColor(getResources().getColor(android.R.color.transparent));
        //v.setBackgroundColor(Color.argb(0, 0, 0, 0));
        //v.setBackgroundColor(Color.TRANSPARENT);
        //v.startAnimation(new AlphaAnimation(1, 0));

    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }

}
